gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.TypeInstance

Contents

- Exported types
- Methods
  - getPrivate

Description

An opaque structure used as the base of all type instances.

Synopsis

- newtype TypeInstance = TypeInstance (ManagedPtr TypeInstance)
- newZeroTypeInstance :: MonadIO m => m TypeInstance
- typeInstanceGetPrivate :: (HasCallStack, MonadIO m) => TypeInstance -> GType -> m (Ptr ())

# Exported types

newtype TypeInstance Source #

Memory-managed wrapper type.

Constructors

TypeInstance (ManagedPtr TypeInstance) |

#### Instances

Instances details

Eq TypeInstance Source # |
Instance details Defined in GI.GObject.Structs.TypeInstance Methods (==) :: TypeInstance -> TypeInstance -> Bool Source # (/=) :: TypeInstance -> TypeInstance -> Bool Source #
BoxedPtr TypeInstance Source # |
Instance details Defined in GI.GObject.Structs.TypeInstance Methods boxedPtrCopy :: TypeInstance -> IO TypeInstance Source # boxedPtrFree :: TypeInstance -> IO () Source #
CallocPtr TypeInstance Source # |
Instance details Defined in GI.GObject.Structs.TypeInstance Methods boxedPtrCalloc :: IO (Ptr TypeInstance) Source #
ManagedPtrNewtype TypeInstance Source # |
Instance details Defined in GI.GObject.Structs.TypeInstance Methods toManagedPtr :: TypeInstance -> ManagedPtr TypeInstance Source #
tag ~ 'AttrSet => Constructible TypeInstance tag Source # |
Instance details Defined in GI.GObject.Structs.TypeInstance Methods new :: MonadIO m => (ManagedPtr TypeInstance -> TypeInstance) -> [AttrOp TypeInstance tag] -> m TypeInstance Source #

newZeroTypeInstance :: MonadIO m => m TypeInstance Source #

Construct a `TypeInstance` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

None.

#### Getters

getPrivate.

#### Setters

None.

## getPrivate

typeInstanceGetPrivate :: (HasCallStack, MonadIO m) => TypeInstance -> GType -> m (Ptr ()) Source #

No description available in the introspection data.